ICEUDP::Candidate Struct Reference

`#include <jingleiceudp.h>`

## Public Attributes

std::string | component
std::string | foundation
std::string | generation
std::string | id
std::string | ip
std::string | network
int | port
int | priority
std::string | protocol
std::string | rel_addr
int | rel_port
Type | type

## Detailed Description

Describes a single transport candidate.

Definition at line 55 of file jingleiceudp.h.

## Member Data Documentation

## component

std::string component

A Component ID as defined in ICE-CORE.

Definition at line 57 of file jingleiceudp.h.

## foundation

std::string foundation

A Foundation as defined in ICE-CORE.

Definition at line 58 of file jingleiceudp.h.

## generation

std::string generation

An index, starting at 0, that enables the parties to keep track of updates to the candidate throughout the life of the session.

Definition at line 59 of file jingleiceudp.h.

## id

std::string id

A unique identifier for the candidate.

Definition at line 61 of file jingleiceudp.h.

## ip

std::string ip

The IP address for the candidate transport mechanism.

Definition at line 62 of file jingleiceudp.h.

## network

std::string network

An index, starting at 0, referencing which network this candidate is on for a given peer.

Definition at line 63 of file jingleiceudp.h.

## port

int port

The port at the candidate IP address.

Definition at line 64 of file jingleiceudp.h.

## priority

int priority

A Priority as defined in ICE-CORE.

Definition at line 65 of file jingleiceudp.h.

## protocol

std::string protocol

The protocol to be used. Should be udp.

Definition at line 66 of file jingleiceudp.h.

## rel_addr

std::string rel_addr

A related address as defined in ICE-CORE.

Definition at line 67 of file jingleiceudp.h.

## rel_port

int rel_port

A related port as defined in ICE-CORE.

Definition at line 68 of file jingleiceudp.h.

## type

Type type

A Candidate Type as defined in ICE-CORE.

Definition at line 69 of file jingleiceudp.h.

The documentation for this struct was generated from the following file:

- jingleiceudp.h